PUT
/api/v2/loyalty/programsUpdate loyalty program for the authenticated company
Authentication
Send your API key in the x-api-key header on every request.
Request body
application/json
| Field | Type | Required | Description |
|---|---|---|---|
| Name | string | Yes | |
| Description | string | No | |
| IsActive | boolean | No | |
| PointValueRate | unknown | Yes | |
| PointValueCurrency | string | No |
Responses
200 — OK
| Field | Type | Required | Description |
|---|---|---|---|
| Id | unknown | No | |
| Name | string | No | |
| Description | string | No | |
| IsActive | boolean | No | |
| PointValueRate | unknown | No | |
| PointValueCurrency | string | No | |
| Rules | array of LoyaltyRuleResponse | No | |
| CreatedAt | string (date-time) | No | |
| UpdatedAt | string (date-time) | No |
400 — Bad Request
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
401 — Unauthorized
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
404 — Not Found
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
500 — Internal Server Error
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
Example request
curl -X PUT "https://{base_url}/api/v2/loyalty/programs" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"Name":"…","PointValueRate":"…"}'This page is generated from the live OpenAPI specification and always matches the current API.